DeleteCidr

1. API Description

This API (DeleteCidr) is used to delete a CIDR block.

circle-info

Note

  • If there are allocated elastic IPs under the CIDR block, the CIDR block cannot be deleted.

  • For regular accounts, once a CIDR block is deleted, the resource will be immediately reclaimed. This operation is irreversible.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cidrId

Yes

String

CIDR ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Delete a CIDR block.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCidr


Request:
{
  "cidrId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_CIDR_NOT_FOUND

CIDR block not found.

400

OPERATION_DENIED_CIDR_HAS_IP_IN_USED

There are allocated IPs in the CIDR block, operation not allowed.

Last updated